## Place Holder Place Holder — Place holder widget |

## Functions

GtkWidget * | font_manager_place_holder_new ()

## Properties

gchar * | icon-name | Read / Write
gchar * | message | Read / Write
gchar * | subtitle | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_PLACE_HOLDER
| FontManagerPlaceHolder

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── FontManagerPlaceHolder

## Implemented Interfaces

FontManagerPlaceHolder implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <font-manager-place-holder.h>

## Description

Widget intended to display a message in an empty area.

## Functions

### font_manager_place_holder_new ()

    GtkWidget *
    font_manager_place_holder_new (const gchar *title,
                                   const gchar *subtitle,
                                   const gchar *message,
                                   const gchar *icon_name);

#### Parameters

title | Title to display in placeholder. | [nullable]
subtitle | Subtitle to display in placeholder. | [nullable]
message | Message to display in placeholder. | [nullable]
icon_name | Named icon to use in placeholder. | [nullable]

#### Returns

A newly created FontManagerPlaceHolder. Free the returned object using ``g_object_unref()``.

[transfer full]

## Types and Values

### FONT_MANAGER_TYPE_PLACE_HOLDER

    #define FONT_MANAGER_TYPE_PLACE_HOLDER (font_manager_place_holder_get_type ())

### FontManagerPlaceHolder

    typedef struct _FontManagerPlaceHolder FontManagerPlaceHolder;

## Property Details

### The `“icon-name”` property

      “icon-name”                gchar *

Named icon to display in center of place holder.

Owner: FontManagerPlaceHolder

Flags: Read / Write

Default value: NULL

### The `“message”` property

      “message”                  gchar *

Message to display beneath icon.

Owner: FontManagerPlaceHolder

Flags: Read / Write

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 gchar *

Text to display as a subtitle beneath icon.

Owner: FontManagerPlaceHolder

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    gchar *

Text to display as the title beneath icon.

Owner: FontManagerPlaceHolder

Flags: Read / Write

Default value: NULL